> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getL2ToL1LogProof

> Retrieves the log proof for an L2 to L1 transaction



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getL2ToL1LogProof
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getL2ToL1LogProof:
    post:
      tags:
        - ZKSync API
      summary: zks_getL2ToL1LogProof
      description: Retrieves the log proof for an L2 to L1 transaction
      operationId: zks_getL2ToL1LogProof
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getL2ToL1LogProof
                  description: The RPC method to be invoked
                id:
                  type: integer
                  default: 1
                  description: Request identifier
                params:
                  type: array
                  items: {}
                  description: Parameters for the log proof
                  minItems: 1
                  maxItems: 2
                  default:
                    - >-
                      0x2a1c6c74b184965c0cb015aae9ea134fd96215d2e4f4979cfec12563295f610e
            examples:
              example1:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: zks_getL2ToL1LogProof
                  params:
                    - >-
                      0x2a1c6c74b184965c0cb015aae9ea134fd96215d2e4f4979cfec12563295f610e
      responses:
        '200':
          description: Returns the proof for the L2 to L1 log
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/L2ToL1LogProofResponse'
              examples:
                example1:
                  value:
                    jsonrpc: '2.0'
                    result:
                      proof:
                        - >-
                          0x8c48910df2ca7de509daf50b3182fcdf2dd6c422c6704054fd857d6c9516d6fc
                        - >-
                          0xc5028885760b8b596c4fa11497c783752cb3a3fb3b8e6b52d7e54b9f1c63521e
                        - >-
                          0xeb1f451eb8163723ee19940cf3a8f2a2afdf51100ce8ba25839bd94a057cda16
                        - >-
                          0x7aabfd367dea2b5306b8071c246b99566dae551a1dbd40da791e66c4f696b236
                        - >-
                          0xe4733f281f18ba3ea8775dd62d2fcd84011c8c938f16ea5790fd29a03bf8db89
                        - >-
                          0x1798a1fd9c8fbb818c98cff190daa7cc10b6e5ac9716b4a2649f7c2ebcef2272
                        - >-
                          0x66d7c5983afe44cf15ea8cf565b34c6c31ff0cb4dd744524f7842b942d08770d
                        - >-
                          0xb04e5ee349086985f74b73971ce9dfe76bbed95c84906c5dffd96504e1e5396c
                        - >-
                          0xac506ecb5465659b3a927143f6d724f91d8d9c4bdb2463aee111d9aa869874db
                      id: 0
                      root: >-
                        0x920c63cb0066a08da45f0a9bf934517141bd72d8e5a51421a94b517bf49a0d39
                    id: 1
components:
  schemas:
    L2ToL1LogProofResponse:
      $ref: 086f9ca6-65d4-4a77-ad80-818c0454b316

````